commit: 9ec7b3e7344d3188aac5b42bf48ac561f507c491
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 16 16:20:46 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Dec 16 17:18:49 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9ec7b3e7
dev-python/testfixtures: Bump to 6.17.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/testfixtures/Manifest | 1 +
dev-python/testfixtures/testfixtures-6.17.0.ebuild | 42 ++++++++++++++++++++++
2 files changed, 43 insertions(+)
diff --git a/dev-python/testfixtures/Manifest b/dev-python/testfixtures/Manifest
index 1cb836039d6..55322221d0b 100644
--- a/dev-python/testfixtures/Manifest
+++ b/dev-python/testfixtures/Manifest
@@ -1,2 +1,3 @@
DIST testfixtures-6.15.0.tar.gz 116119 BLAKE2B
cc0e351bd6778393cf061b741d7d593f56bc1b6a3d53d2e34baa006f7edd718c86f1b16c094e42cf116805a5c6652ac6827f71c1ebbb160d48c071317603c151
SHA512
34b9f1b9a5e76c5e20acf9abae2961694817de3822361cd5afc4a405ccdbcf26c617a01fbd8d2d977c2a0bc696232c2363df4a9fb7ba9187e0743cf2a6fe98e1
DIST testfixtures-6.16.0.tar.gz 120986 BLAKE2B
bb17c44091370edca55f1e273f70e454c2e74a152a228f97efba08d605e3a024c64bfc163b3aa50805f038556c76fb754825b16fdf4451760403682c06251c80
SHA512
0c519fa2d2619ad71f6b487456ea1480365aa421c14a9beaeee916e7841bd266be2c95d48c61b64e91554b37d2621358a45b124be6a6d25b3e381f966653c9b8
+DIST testfixtures-6.17.0.tar.gz 121419 BLAKE2B
62dc8808cf9fbc37386fcf9e44c56edbdc2c51ee0698518142dcbc52b73ab538445d49d5d4a779cd68bf51b6aa267222f877bdc703d3dc87230f6a6db81e258a
SHA512
2ace802d3bf8b261727037a5ac26a0beca852ca8c2e57ec33344707f300edae7cf317f1bb79c05aa809b1f68d38ffabcc6c5383ce9ecfd4f66a80b02ff4c7315
diff --git a/dev-python/testfixtures/testfixtures-6.17.0.ebuild
b/dev-python/testfixtures/testfixtures-6.17.0.ebuild
new file mode 100644
index 00000000000..d8efd8340de
--- /dev/null
+++ b/dev-python/testfixtures/testfixtures-6.17.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="A collection of helpers and mock objects for unit tests and doc
tests"
+HOMEPAGE="https://pypi.org/project/testfixtures/
https://github.com/Simplistix/testfixtures"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ dev-python/django[${PYTHON_USEDEP}]
+ dev-python/pytest-django[${PYTHON_USEDEP}]
+ dev-python/sybil[${PYTHON_USEDEP}]
+ >=dev-python/twisted-18[${PYTHON_USEDEP}]
+ dev-python/zope-component[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # kill weird way of declaring build deps
+ sed -e '/build=/d' -i setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ PYTHONPATH="." \
+ DJANGO_SETTINGS_MODULE=testfixtures.tests.test_django.settings \
+ pytest -vv || die "Tests failed with "${EPYTHON}
+}